import { IDesignItem } from '../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { AbstractExtension } from './AbstractExtension.js';
import { IExtensionManager } from './IExtensionManger.js';
export declare class PositionExtension extends AbstractExtension {
    private _line1;
    private _line2;
    private _line3;
    private _line4;
    private _textX;
    private _textY;
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem);
    extend(): void;
    _oldValues: any[];
    refresh(): void;
    dispose(): void;
}
